import {BasicColumn} from '/@/components/Table';
import {FormSchema} from '/@/components/Table';
import { rules} from '/@/utils/helper/validator';
import { render } from '/@/utils/common/renderUtils';
//列表数据
export const columns: BasicColumn[] = [
    {
    title: '景区名称',
    align:"center",
    dataIndex: 'areaName'
   },
   {
    title: '景区简介',
    align:"center",
    dataIndex: 'areaBrief'
   },
   {
    title: '景区图片',
    align:"center",
    dataIndex: 'areaImage',
    customRender:render.renderAvatar,
   },
   {
    title: '景区详情',
    align:"center",
    dataIndex: 'areaDetail',
    slots: { customRender: 'htmlSlot' },
   },
];
//查询数据
export const searchFormSchema: FormSchema[] = [
];
//表单数据
export const formSchema: FormSchema[] = [
  {
    label: '景区名称',
    field: 'areaName',
    component: 'Input',
  },
  {
    label: '景区简介',
    field: 'areaBrief',
    component: 'Input',
  },
  {
    label: '景区图片',
    field: 'areaImage',
     component: 'JImageUpload',
     componentProps:{
      },
  },
  {
    label: '景区详情',
    field: 'areaDetail',
    component: 'JCodeEditor', //TODO String后缀暂未添加
  },
];
