import {BasicColumn} from '/@/components/Table';
import {FormSchema} from '/@/components/Table';
import { rules} from '/@/utils/helper/validator';
import { render } from '/@/utils/common/renderUtils';
//列表数据
export const columns: BasicColumn[] = [
    {
    title: '非遗体验标题',
    align:"center",
    dataIndex: 'experienceTitle'
   },
   {
    title: '非遗体验封面',
    align:"center",
    dataIndex: 'experienceImage',
    customRender:render.renderAvatar,
   },
   {
    title: '开放时间',
    align:"center",
    dataIndex: 'experienceOpentime'
   },
   {
    title: '非遗体验详情',
    align:"center",
    dataIndex: 'experienceDetail',
    slots: { customRender: 'htmlSlot' },
   },
   {
    title: '开放时间',
    align:"center",
    dataIndex: 'openTime'
   },
   {
    title: '联系电话',
    align:"center",
    dataIndex: 'phone'
   },
];
//查询数据
export const searchFormSchema: FormSchema[] = [
];
//表单数据
export const formSchema: FormSchema[] = [
  {
    label: '非遗体验标题',
    field: 'experienceTitle',
    component: 'Input',
  },
  {
    label: '非遗体验封面',
    field: 'experienceImage',
     component: 'JImageUpload',
     componentProps:{
      },
  },
  {
    label: '开放时间',
    field: 'experienceOpentime',
    component: 'Input',
  },
  {
    label: '非遗体验详情',
    field: 'experienceDetail',
    component: 'JCodeEditor', //TODO String后缀暂未添加
  },
  {
    label: '开放时间',
    field: 'openTime',
    component: 'Input',
  },
  {
    label: '联系电话',
    field: 'phone',
    component: 'Input',
  },
];
