import {BasicColumn} from '/@/components/Table';
import {FormSchema} from '/@/components/Table';
import { rules} from '/@/utils/helper/validator';
import { render } from '/@/utils/common/renderUtils';
//列表数据
export const columns: BasicColumn[] = [
    {
    title: '图片名称',
    align:"center",
    dataIndex: 'imageName'
   },
   {
    title: '图片内容',
    align:"center",
    dataIndex: 'imageContent',
    customRender:render.renderAvatar,
   },
   {
    title: '图片分类',
    align:"center",
    dataIndex: 'categoryId_dictText'
   },
   {
    title: '排序编号',
    align:"center",
    dataIndex: 'orderId'
   },
];
//查询数据
export const searchFormSchema: FormSchema[] = [
];
//表单数据
export const formSchema: FormSchema[] = [
  {
    label: '图片名称',
    field: 'imageName',
    component: 'Input',
  },
  {
    label: '图片内容',
    field: 'imageContent',
     component: 'JImageUpload',
     componentProps:{
      },
  },
  {
    label: '图片分类',
    field: 'categoryId',
    component: 'JDictSelectTag',
    componentProps:{
        dictCode:"travel_category,category_name,id"
     },
  },
  {
    label: '排序编号',
    field: 'orderId',
    component: 'InputNumber',
  },
];
