import {BasicColumn} from '/@/components/Table';
import {FormSchema} from '/@/components/Table';
import { rules} from '/@/utils/helper/validator';
import { render } from '/@/utils/common/renderUtils';
//列表数据
export const columns: BasicColumn[] = [
    {
    title: '联系人姓名',
    align:"center",
    dataIndex: 'userName'
   },
   {
    title: '联系人电话',
    align:"center",
    dataIndex: 'userPhone'
   },
   {
    title: '所属区域',
    align:"center",
    dataIndex: 'area'
   },
   {
    title: '详细地址 ',
    align:"center",
    dataIndex: 'address'
   },
   {
    title: '所属用户',
    align:"center",
    dataIndex: 'memberId_dictText'
   },
   {
    title: '是否为默认地址(0-否 1-是)',
    align:"center",
    dataIndex: 'addressDefault'
   },
];
//查询数据
export const searchFormSchema: FormSchema[] = [
];
//表单数据
export const formSchema: FormSchema[] = [
  {
    label: '联系人姓名',
    field: 'userName',
    component: 'Input',
  },
  {
    label: '联系人电话',
    field: 'userPhone',
    component: 'Input',
  },
  {
    label: '所属区域',
    field: 'area',
    component: 'Input',
  },
  {
    label: '详细地址 ',
    field: 'address',
    component: 'Input',
  },
  {
    label: '所属用户',
    field: 'memberId',
    component: 'JDictSelectTag',
    componentProps:{
        dictCode:"han_hai_member,nick_name,id"
     },
  },
  {
    label: '是否为默认地址(0-否 1-是)',
    field: 'addressDefault',
    component: 'Input',
  },
];
