import {BasicColumn} from '/@/components/Table';
import {FormSchema} from '/@/components/Table';
import { rules} from '/@/utils/helper/validator';
import { render } from '/@/utils/common/renderUtils';
//列表数据
export const columns: BasicColumn[] = [
    {
    title: '分类名称',
    align:"center",
    dataIndex: 'categoryName'
   },
   {
    title: '父级分类',
    align:"center",
    dataIndex: 'categoryPid_dictText'
   },
   {
    title: '分类标识码',
    align:"center",
    dataIndex: 'categoryCode'
   },
];
//查询数据
export const searchFormSchema: FormSchema[] = [
];
//表单数据
export const formSchema: FormSchema[] = [
  {
    label: '分类名称',
    field: 'categoryName',
    component: 'Input',
  },
  {
    label: '父级分类',
    field: 'categoryPid',
    component: 'JDictSelectTag',
    componentProps:{
        dictCode:"travel_category,category_name,id"
     },
  },
  {
    label: '分类标识码',
    field: 'categoryCode',
    component: 'Input',
  },
];
