import {BasicColumn} from '/@/components/Table';
import {FormSchema} from '/@/components/Table';
import { rules} from '/@/utils/helper/validator';
import { render } from '/@/utils/common/renderUtils';
//列表数据
export const columns: BasicColumn[] = [
    {
    title: '视频封面',
    align:"center",
    dataIndex: 'videoImage',
    customRender:render.renderAvatar,
   },
   {
    title: '视频标题',
    align:"center",
    dataIndex: 'videoTitle'
   },
   {
    title: '视频内容',
    align:"center",
    dataIndex: 'videoContent',
    slots: { customRender: 'fileSlot' },
   },
   {
    title: '点赞量',
    align:"center",
    dataIndex: 'videoThumpup'
   },
];
//查询数据
export const searchFormSchema: FormSchema[] = [
];
//表单数据
export const formSchema: FormSchema[] = [
  {
    label: '视频封面',
    field: 'videoImage',
     component: 'JImageUpload',
     componentProps:{
      },
  },
  {
    label: '视频标题',
    field: 'videoTitle',
    component: 'Input',
  },
  {
    label: '视频内容',
    field: 'videoContent',
    component: 'JUpload',
    componentProps:{
     },
  },
  {
    label: '点赞量',
    field: 'videoThumpup',
    component: 'Input',
  },
];
